.header {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.main-container{
  min-height: 100vh;
  overflow: hidden;
}

.background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  
  /* Centrado absoluto con Flexbox */
  display: flex;
  justify-content: center; /* Centra horizontalmente */
  align-items: center;     /* Centra verticalmente */
  
  /* Evita que aparezcan barras de scroll si el SVG sobresale */
  overflow: hidden; 
  background-color: #000; /* Opcional: un color de fondo por si el SVG no cubre esquinas */
}

/* Comportamiento para Móvil (Vertical) */
.background svg {
  height: 100vh;
  width: auto;
  flex-shrink: 0; /* Impide que el flexbox "aplane" el SVG */
}

/* Comportamiento para PC (Horizontal) */
@media (min-width: 1024px) {
  .background svg {
    width: 100vw;
    height: auto;
    flex-shrink: 0;
  }
}

body {
  padding: 0;
  margin: 0;
}